Bug 149611 - 3 * missing return statements
3 * missing return statements
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fluxbox (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-24 09:12 EST by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-31 18:28:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-02-24 09:12:55 EST
Description of problem:

I just tried to compile package fluxbox-0.9.9-2 from 
Redhat Fedora Extras development tree.

The compiler said


ScreenResources.cc(177): warning #1011: missing return statement at
end of non-void function "FbTk::Resource<T>::getString [with
T=FbTk::GContext::LineStyle]"
ScreenResources.cc(211): warning #1011: missing return statement at
end of non-void function "FbTk::Resource<T>::getString [with
T=FbTk::GContext::JoinStyle]"
ScreenResources.cc(248): warning #1011: missing return statement at
end of non-void function "FbTk::Resource<T>::getString [with
T=FbTk::GContext::CapStyle]"

There may be some value in adding some code to deal with unexpected
values in the switch statements.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.